﻿//package a way of organizing code into groups, a wrapper for your class
// packages can be imported by other scripts

package {
	
	//import statement makes externally created classes and packages available to the code
	// import all the external classes that you need in your code
	
	import flash.display.*;
	import flash.events.*;
	import fl.video.FLVPlayback;
	
	//create class name should be uppercase
	//Any Actionscript program must have one class, a master template
	//the file name of the package file must have the same name as the class
	
	//the keyword public means that the class is available to the whole project
	
	// if you want your class to to have the methods, properties and events of the MovieClip you need to use the phrase
	//  extends MovieClip  
	
	//Flex Meta-data, provides the compiler with extra information about how you want to publish the SWF
	//First time using this you will need to Update library path
	
	[SWF(backgroundColor="0x656565", frameRate="24", width="720", height="480")]
	
	public class Main extends MovieClip{
		
			//In this example we will be creating an instance of a MovieClip that will hold FLVPlayback component
			// this will be the main item on the screen
			
			//then we will create several MovieClips that will act as button to change the content of the Main Video
						
			//In order to use the FLVPlayback the component need to be in your projects library
			// you can do this by going to  Window>Components>Video>FlVPlayback and dragging it the stage
			// you can then delete it.
						
			//Create a constructor method
			public function Main() {
				trace("main");
				//create variables
				var mainMovieContainer: MovieClip;
				var mainMovie:FLVPlayback;
				
				// create instances of objects and store in variables
				mainMovieContainer = new MovieClip()
				mainMovie = new FLVPlayback();
				
				//set propeties
				
				//Placement
				mainMovieContainer.x = 200;
				mainMovieContainer.y = 60;
						
				//Videos must go through the Adobe Media Encoder first		
				mainMovie.source = "../assets/video/action_left/130.flv";
				
				mainMovie.skin= null;  //no control bar
				mainMovie.width=320;
				mainMovie.height=240;

				//Display mainMovie inside mainMovieContainer
				mainMovieContainer.addChild(mainMovie);
				//Display mainMovieContainer on the stage
				addChild(mainMovieContainer);
				
				
			}
			
		
	}
	
}